打开/关闭菜单
322
1711
132
1.2万
星露谷物语扩展百科
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Common.css:修订间差异

MediaWiki界面页面
删除的内容 添加的内容
Sizau留言 | 贡献
样式
 
Sizau留言 | 贡献
无编辑摘要
 
(未显示同一用户的13个中间版本)
第6行: 第6行:
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/base64.css');


.center {

/* --- 信息框 --- */

.infoboxborder {
position: relative;
background-color: var(--background-color-base);
float: right;
border-radius: 0;
margin-left: 30px;
margin-top: 15px;
margin-bottom: 24px;
min-width: 300px;
z-index: 1;
border: 1.5px solid var(--color-progressive);
padding: 0 4px 4px 4px;
}

.infoboxtable {
max-width: 350px;
width: 100%;
border-spacing: 2px;
}

.infoboxheader {
text-align: center;
text-align: center;
font-size: 24px;
padding-top: 5px;
padding-bottom: 5px;
text-shadow: 0.75px 0.75px 0 rgb(0,0,0, 0.2);
}
html.skin-theme-clientpref-night .infoboxheader {
text-shadow: 0.75px 0.75px 0 rgb(255,255,255, 0.2);
}
}


.no-wrap {
.infoboxsection {
white-space: nowrap;
background-color: var(--color-progressive);
vertical-align: top;
padding-left: 15px;
padding-right: 5px;
width: 105px;
border-color: var(--background-color-progressive--focus);
box-shadow: var(--box-shadow-small);
text-shadow: 1px 1px var(--background-color-progressive--hover);
color: white;
}
}


/* 未登录隐藏评论框 */
.infoboxsection a {
#ext-comments-container .comment-input-placeholder {
color: white;
display: none;
}
}


/* 底部 copyright */
.infoboxdetail {
#footer-icons #footer-copyright-darkico a, #footer-icons #footer-poweredby-darkico a {
vertical-align: top;
padding-left: 3px;
background-color: #323337;
padding-right: 12px;
}
}


#footer-icons #footer-copyright-darkico,
.infoboxdetail p {
#footer-icons #footer-poweredby-darkico {
margin: 0;
display: none;
}
}


#footer-icons #footer-copyright-lightico,
.infoboxdetail ul {
#footer-icons #footer-poweredby-lightico {
margin: 0 0 0 0.9em;
display: flex;
}
}


html.skin-theme-clientpref-night #footer-icons #footer-copyright-lightico,
.infoboxborder th {
html.skin-theme-clientpref-night #footer-icons #footer-poweredby-lightico {
text-align: center;
}

/* 表格头部 */
.infoboxtable .infoboxtitle + .infoboxtitle td {
padding-top: 0;
font-size: 14px;
font-family: "Lato", sans-serif;
font-weight: 450;
font-style: italic;
}

.infoboxtable .infoboxtitle + .infoboxtitle td::before {
content: "";
display: none;
display: none;
}
}


html.skin-theme-clientpref-night #footer-icons #footer-copyright-darkico,
.infoboxtable .infoboxtitle:first-of-type td,
html.skin-theme-clientpref-night #footer-icons #footer-poweredby-darkico {
.infoboxtable .infoboxtitle:last-of-type td,
display: flex;
.infoboxtable .infoboxtitle:only-of-type td {
padding-bottom: 0;
}
}


@media screen and (prefers-color-scheme: dark) {
.infoboxtitle + tr:not(.infoboxtitle) td {
html.skin-theme-clientpref-os #footer-icons #footer-copyright-lightico,
padding-top: 8px;
html.skin-theme-clientpref-os #footer-icons #footer-poweredby-lightico {
padding-bottom: 5px;
text-align: center;
display: none;
}

/* 自适应 */
@media (max-width: 650px) {
.infoboxtable tbody {
width: 100%;
display: inline-table;
}
}
html.skin-theme-clientpref-os #footer-icons #footer-copyright-darkico,

html.skin-theme-clientpref-os #footer-icons #footer-poweredby-darkico {
.infoboxdetail table {
margin-top: 0;
display: flex;
margin-bottom: 0;
}
.infoboxborder {
width: fit-content;
width: max-content;
max-width: 100%;
}
.infoboxborder {
float: unset;
margin: 12px auto 24px;
min-width: 100%;
}
.infoboxtable {
max-width: none;
margin-top: 16px;
margin-bottom: 16px;
}
}
}
}


#footer-places li a {
/* 表格链接 */
.wikitable > * > tr > th a,
.infoboxsection a {
position: relative;
display: inline-block;
display: inline-block;
padding-right: 6px;
vertical-align: middle;
text-decoration: none !important;
}
}


.wikitable > * > tr > th a::after,
.infoboxsection a::after {
content: "";
position: absolute;
bottom: -2px;
right: -2px;
width: 8px;
height: 8px;
background-image: url(filepath://Link to.svg);
background-size: contain;
background-repeat: no-repeat;
background-position: bottom right;
opacity: 0.95;
}


.no-article-text img {
.wikitable > * > tr > th a,
width: 100%;
.infoboxsection a {
height: auto;
margin-right: 0;
margin: 0 auto;
line-height: 1.2;
max-width: 540px;
padding: 60px 10px;
display: block;
-webkit-user-select: none;
-moz-user-select: none;
user-select: none;
pointer-events: none;
}
}

.infoboxsection[colspan="2"],
.infoboxsection[colspan="3"],
.infoboxsection[colspan="4"],
.infoboxsection[colspan="5"],
.infoboxsection[colspan="6"] {
padding-left: 0;
padding-right: 0;
text-align: center !important;
}

/* 物品描述 */
.infoboxdetail[colspan="2"] {
text-align: center !important;
padding-right: 3px;
padding-left: 3px;
}

/* 物品编号 */
.infoboxdetail.consolas {
overflow-wrap: anywhere;
}

/* 嵌套表格 */
.infoboxtable .subtable {
padding: 0;
border: 0;
}

.infoboxtable .subtable > table {
width: 101%;
margin: -2px;
}

/* 列表调整 */
.infoboxdetail ul {
list-style: none;
margin: 0 !important;
}

.infoboxdetail li {
padding-left: 1.65em;
text-indent: -1.65em;
}

/* 分类展示 */
.infoboxtable tr:first-child td:first-child {
position: relative;
}

/* 地图图片 */
.location {
max-width: 400px;
}

.locationimg img {
max-width: 90%;
height: auto;
}

/* --- 信息框 --- */

2026年1月23日 (五) 20:18的最新版本

@import url('https://fontsapi.p1.wiki/fonts/Clear Han Serif/result.css');
@import url('https://fontsapi.p1.wiki/fonts/WenYuan Rounded SC/result.css');
@import url('https://fontsapi.p1.wiki/fonts/Consolas/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Regular/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Medium/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/base64.css');

.center {
    text-align: center;
}

.no-wrap {
    white-space: nowrap;
}

/* 未登录隐藏评论框 */
#ext-comments-container .comment-input-placeholder {
    display: none;
}

/* 底部 copyright */
#footer-icons #footer-copyright-darkico a, #footer-icons #footer-poweredby-darkico a {
    background-color: #323337;
}

#footer-icons #footer-copyright-darkico,
#footer-icons #footer-poweredby-darkico {
    display: none;
}

#footer-icons #footer-copyright-lightico,
#footer-icons #footer-poweredby-lightico {
    display: flex;
}

html.skin-theme-clientpref-night #footer-icons #footer-copyright-lightico,
html.skin-theme-clientpref-night #footer-icons #footer-poweredby-lightico {
    display: none;
}

html.skin-theme-clientpref-night #footer-icons #footer-copyright-darkico,
html.skin-theme-clientpref-night #footer-icons #footer-poweredby-darkico {
    display: flex;
}

@media screen and (prefers-color-scheme: dark) {
    html.skin-theme-clientpref-os #footer-icons #footer-copyright-lightico,
    html.skin-theme-clientpref-os #footer-icons #footer-poweredby-lightico {
        display: none;
    }
    html.skin-theme-clientpref-os #footer-icons #footer-copyright-darkico,
    html.skin-theme-clientpref-os #footer-icons #footer-poweredby-darkico {
        display: flex;
    }
}

#footer-places li a {
    display: inline-block;
    vertical-align: middle;
    text-decoration: none !important;
}


.no-article-text img {
	width: 100%;
	height: auto;
	margin: 0 auto;
	max-width: 540px;
	padding: 60px 10px;
	display: block;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	pointer-events: none;
}